Foxit PDF SDK

Static Public Member Functions | List of all members
foxit::addon::FormCombination Class Reference
Inheritance diagram for foxit::addon::FormCombination:

## Static Public Member Functions
static void | CombineFormsToCSV (const FormFileInfoArray &form_file_array, const wchar_t *dest_csv_file, bool append)
| Combine form data and export these data to a CSV file. More...
static void | CombineFormsToCSV (const FormFileInfoArray &form_file_array, foxit::common::file::StreamCallback *dest_csv_file, bool append)
| Combine form data and export these data to a CSV file. More...

## Additional Inherited Members
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class is used to combine form data from several files and export combined form data to spreadsheet.

## Member Function Documentation

## ◆ CombineFormsToCSV() [1/2]

static void foxit::addon::FormCombination::CombineFormsToCSV | ( | const FormFileInfoArray & | form_file_array,
|  | const wchar_t * | dest_csv_file,
|  | bool | append
| ) |  |
| static

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A full path of a CSV file, to which combined result will be saved to. This should not be an empty string.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: true means to append combined form data to an existed CSV file, while false means not.

Returns
  None.

## ◆ CombineFormsToCSV() [2/2]

static void foxit::addon::FormCombination::CombineFormsToCSV | ( | const FormFileInfoArray & | form_file_array,
|  | foxit::common::file::StreamCallback * | dest_csv_file,
|  | bool | append
| ) |  |
| static

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A common::file::StreamCallback object which is implemented by user to save combined form data to a CSV file. This should not be NULL. Please do not use append mode in writing callback functions.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: true means to append combined form data to an existed CSV file, while false means not.

Returns
  None.